Rygel.HTTPServer – librygel-server Reference Manual

# HTTPServer

## Object Hierarchy:

## Description:

public class HTTPServer : TranscodeManager, `StateMachine`
Namespace: Rygel
Package: librygel-server

## Content:

### Properties:

- public `string` path_root { get; }
- public `Cancellable` cancellable { set; get; }

### Creation methods:

- public HTTPServer (ContentDirectory content_dir, `string` name)

### Methods:

- public async void run ()
- public `bool` need_proxy (`string` uri)

### Fields:

- public MediaContainer root_container
- public `Context` context

### Inherited Members:

All known members inherited from class Rygel.TranscodeManager

- create_uri_for_item

- add_resources

- get_transcoder

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count

All known members inherited from interface Rygel.StateMachine

- cancellable

- run

- completed